﻿using JewelryStoreDatabaseImplement.Models;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace JewelryStoreDatabaseImplement
{
    public class JewelryStoreDatabase : DbContext
    {
        protected override void OnConfiguring(DbContextOptionsBuilder
       optionsBuilder)
        {
            if (optionsBuilder.IsConfigured == false)
            {
                optionsBuilder.UseSqlServer(@"Data Source=localhost\SQLEXPRESS;Initial Catalog=JewelryStoreDatabaseFull;Integrated Security=True;MultipleActiveResultSets=True;;TrustServerCertificate=True");
            }
            base.OnConfiguring(optionsBuilder);
        }
        public virtual DbSet<Component> Components { set; get; }
        public virtual DbSet<Jewel> Jewels { set; get; }
        public virtual DbSet<JewelComponent> JewelComponents { set; get; }
        public virtual DbSet<Order> Orders { set; get; }
    }

}
